Subject: Re: bug#36809: "~nosuchuser" commit breaks tramp's scp

From: Paul Eggert <[email-masked]>
Date: Fri, 26 Jul 2019 10:06:10 -0700

Yuri D'Elia wrote:
> Incidentally, this is only noticeable
> when opening a remote directory even though the test path is local, for
> a reason I didn't determine yet.

There was a bug in my recent changes to file-name-absolute-p. I fixed it on 
master (2019-07-26T16:46:[email-masked]). Please give the new master a 
try, and thanks for reporting the problem.

I'm assuming that this bug was unrelated to Tramp's source code. Because 
file-name-absolute-p has always been system-dependent on names like "c://foo", 
Tramp does not assume that file-name-absolute-p can be applied usefully to 
remote file names.